## org.apache.commons.configuration
Class ConfigurationFactory.ConfigurationBuilder

    java.lang.Object
      org.apache.commons.configuration.ConfigurationFactory.ConfigurationBuilder

Enclosing class:
  ConfigurationFactory

    public static class ConfigurationFactory.ConfigurationBuilder

extends Object

An internally used helper class for constructing the composite configuration object.

Constructor Summary
`ConfigurationFactory.ConfigurationBuilder()` Creates a new instance of `ConfigurationBuilder`.

Method Summary
`void` `addAdditionalConfig(ConfigurationFactory.AdditionalConfigurationData data)` Adds information about an additional configuration.
`void` `addConfiguration(Configuration conf)` Adds a new configuration to this object.
`protected Configuration` `createAdditionalConfiguration(Collection<ConfigurationFactory.AdditionalConfigurationData> configs)` Creates a configuration object with the union of all properties defined in the `<additional>` section.
`CompositeConfiguration` `getConfiguration()` Returns the final composite configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory.ConfigurationBuilder

    public ConfigurationFactory.ConfigurationBuilder()

  Creates a new instance of `ConfigurationBuilder`.

Method Detail

### addConfiguration

    public void addConfiguration(Configuration conf)

  Adds a new configuration to this object. This method is called by Digester.

  Parameters:
    `conf` - the configuration to be added

### addAdditionalConfig

    public void addAdditionalConfig(ConfigurationFactory.AdditionalConfigurationData data)

  Adds information about an additional configuration. This method is called by Digester.

  Parameters:
    `data` - the data about the additional configuration

### getConfiguration

    public CompositeConfiguration getConfiguration()

  Returns the final composite configuration.

  Returns:
    the final configuration object

### createAdditionalConfiguration

    protected Configuration createAdditionalConfiguration(Collection<ConfigurationFactory.AdditionalConfigurationData> configs)

  Creates a configuration object with the union of all properties defined in the `<additional>` section. This implementation returns a `HierarchicalConfiguration` object.

  Parameters:
    `configs` - a collection with `AdditionalConfigurationData` objects
  Returns:
    the union configuration (can be null)

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.